CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:11710

LoadImages:[module_num:1|svn_version:\'11587\'|variable_revision_number:11|show_window:False|notes:\x5B\'Load the corrected,tiled images and process on a per-well basis.\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Exact match
    Number of images in each group?:3
    Type the text that the excluded images have in common:Do not use
    Analyze all subfolders within the selected folder?:All
    Input image file location:Default Input Folder\x7CNone
    Check image sets for missing or duplicate files?:Yes
    Group images by metadata?:Yes
    Exclude certain files?:No
    Specify metadata fields to group by:Well
    Select subfolders to analyze:
    Image count:1
    Text that these images have in common (case-sensitive):Tiled_
    Position of this image in each group:1
    Extract metadata from where?:File name
    Regular expression that finds metadata in the file name:Tiled_(?P<Plate>.*)_(?P<Well>\x5BA-P\x5D\x5B0-9\x5D{2})_(?P<Site>\x5B0-9\x5D{2}).tif
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Run>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:2
    Load the input as images or objects?:Images
    Name this loaded image:MosaicImages
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes

IdentifyPrimaryObjects:[module_num:2|svn_version:\'10826\'|variable_revision_number:8|show_window:True|notes:\x5B\'Detect all the plaques. No declumping is needed since we are not trying to separate touching cells.\'\x5D]
    Select the input image:MosaicImages
    Name the primary objects to be identified:AllPlaques
    Typical diameter of objects, in pixel units (Min,Max):4,150
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:Yes
    Discard objects touching the border of the image?:Yes
    Select the thresholding method:RobustBackground Global
    Threshold correction factor:1.6
    Lower and upper bounds on threshold:0.013,1.0
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:None
    Method to draw dividing lines between clumped objects:Shape
    Size of smoothing filter:10
    Suppress local maxima that are closer than this minimum allowed distance:100
    Speed up by using lower-resolution image to find local maxima?:No
    Name the outline image:PrimaryOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:No
    Automatically calculate minimum allowed distance between local maxima?:No
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified objects?:Yes
    Automatically calculate the threshold using the Otsu method?:No
    Enter Laplacian of Gaussian threshold:0.5
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

MeasureObjectSizeShape:[module_num:3|svn_version:\'1\'|variable_revision_number:1|show_window:False|notes:\x5B\'Measure morphological parameters.\'\x5D]
    Select objects to measure:AllPlaques
    Calculate the Zernike features?:No

OverlayOutlines:[module_num:4|svn_version:\'10672\'|variable_revision_number:2|show_window:False|notes:\x5B\'Overlay the plaque outlines on the original image.\'\x5D]
    Display outlines on a blank image?:No
    Select image on which to display outlines:PrimaryOutlines
    Name the output image:OrigOverlay
    Select outline display mode:Color
    Select method to determine brightness of outlines:Max of image
    Width of outlines:1
    Select outlines to display:PrimaryOutlines
    Select outline color:Green

SaveImages:[module_num:5|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\'Save the overlay image for later review.\'\x5D]
    Select the type of image to save:Image
    Select the image to save:OrigOverlay
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:plaque
    Enter single file name:\\g<Plate>_\\g<Well>_\\g<Site>
    Do you want to add a suffix to the image file name?:Yes
    Text to append to the image name:outline
    Select file format to use:png
    Output file location:Default Output Folder sub-folder\x7COutlines
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Last cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

ExportToDatabase:[module_num:6|svn_version:\'10962\'|variable_revision_number:20|show_window:False|notes:\x5B\'Export the per-object measurements to an MySQL database.\'\x5D]
    Database type:MySQL
    Database name:galectins
    Add a prefix to table names?:Yes
    Table prefix:Gal1wt_GR5_1874_gal_inh_20120402_0001
    SQL file prefix:SQL_
    Output file location:Default Output Folder\x7CNone
    Create a CellProfiler Analyst properties file?:Yes
    Database host:localhost
    Username:root
    Password:root
    Name the SQLite database file:DefaultDB.db
    Calculate the per-image mean values of object measurements?:Yes
    Calculate the per-image median values of object measurements?:Yes
    Calculate the per-image standard deviation values of object measurements?:Yes
    Calculate the per-well mean values of object measurements?:Yes
    Calculate the per-well median values of object measurements?:Yes
    Calculate the per-well standard deviation values of object measurements?:Yes
    Export measurements for all objects to the database?:Select...
    Select the objects:AllPlaques
    Maximum # of characters in a column name:64
    Create one table per object or a single object table?:Single object table
    Enter an image url prepend if you plan to access your files via http:
    Write image thumbnails directly to the database?:Yes
    Select the images you want to save thumbnails of:MosaicImages,PrimaryOutlines
    Auto-scale thumbnail pixel intensities?:No
    Select the plate type:None
    Select the plate metadata:None
    Select the well metadata:None
    Include information for all images, using default values?:Yes
    Hidden:1
    Hidden:1
    Hidden:0
    Select an image to include:None
    Use the image name for the display?:Yes
    Image name:None
    Channel color:gray
    Do you want to add group fields?:No
    Enter the name of the group:
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate, Image_Metadata_Well
    Do you want to add filter fields?:No
    Automatically create a filter for each plate?:No
